<?php
		date_default_timezone_set('America/Costa_Rica');
		include('../conexion.php');
		
		session_start();
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}


 $usu=$_SESSION['username'];
 
		
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomusu = $row["usu"];

$hora=date("H:i:s");



$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

if (!isset($_POST["cdgcli"])) { $cdgcli = ''; } else  {  $cdgcli=$_POST["cdgcli"]; } 
if (!isset($_POST["dsccli"])) { $dsccli=''; } else  {  $dsccli=strtoupper($_POST["dsccli"]); } 


$dsccli = str_replace("á","A",$dsccli);
$dsccli = str_replace("é","E",$dsccli);
$dsccli = str_replace("í","I",$dsccli);
$dsccli = str_replace("ó","O",$dsccli);
$dsccli = str_replace("ú","U",$dsccli);
$dsccli = str_replace("ñ","Ñ",$dsccli);

if (!isset($_POST["numplaca"])) { $numplaca  = ''; } else  {  $numplaca=strtoupper($_POST["numplaca"]); } 
if (!isset($_POST["marca"])) { $marca  = ''; } else  {  $marca=strtoupper($_POST["marca"]); } 
if (!isset($_POST["chasis"])) { $chasis  = ''; } else  {  $chasis=strtoupper($_POST["chasis"]); } 
if (!isset($_POST["tipmot"])) { $tipmot  = ''; } else  {  $tipmot=strtoupper($_POST["tipmot"]); } 
if (!isset($_POST["llanta"])) { $llanta  = ''; } else  {  $llanta=strtoupper($_POST["llanta"]); } 
if (!isset($_POST["tipace"])) { $tipace  = ''; } else  {  $tipace=strtoupper($_POST["tipace"]); } 
if (!isset($_POST["cantace"])) { $cantace  = ''; } else  {  $cantace=$_POST["cantace"]; } 
if (!isset($_POST["filaire"])) { $filaire  = ''; } else  {  $filaire=strtoupper($_POST["filaire"]); } 
if (!isset($_POST["filace"])) { $filace  = ''; } else  {  $filace=strtoupper($_POST["filace"]); } 
if (!isset($_POST["filcom"])) { $filcom  = ''; } else  {  $filcom=strtoupper($_POST["filcom"]); } 


if (!isset($_POST["kiloactual"])) { $kiloactual  = '0'; } else  {  $kiloactual=$_POST["kiloactual"]; } 
if (!isset($_POST["rendimiento"])) { $rendimiento  = '0'; } else  {  $rendimiento=$_POST["rendimiento"]; } 
if (!isset($_POST["proxcambio2"])) { $proxcambio2  = '0'; } else  {  $proxcambio2=$_POST["proxcambio2"]; } 

 
	
	$kiloactual = str_replace (",","",$kiloactual);
	$rendimiento = str_replace (",","",$rendimiento);
					

$usuario=3 ;
$estatus="ACTIVO";
$fecha =date( "Y-m-d" );


if ($accion=="alta") {
	
	


	$query_operacion="INSERT INTO vehiculos(cdgcli, dsccli, numpla, marveh, numvin, tipmot, tamlla, tipace, canace, filair, filace, filcom, estveh, cdgusu,fecmod,kiloactu,renace,proxcam) VALUES ('$cdgcli','$dsccli','$numplaca','$marca','$chasis','$tipmot','$llanta','$tipace','$cantace','$filaire','$filace','$filcom','$estatus','$nomusu','$fecha','$kiloactual','$rendimiento','$proxcambio2')";		
	
		$mysqli->query($query_operacion);
	$cdgvehiculo= $mysqli-> insert_id ;
	

    $mensaje="El Vehículo ha sido Guardado exitosamente"; 
	$cabecera1="Inicio >> Vehículos &gt;&gt; Nuevo Vehículo ";
	$cabecera2="Modulo Vehículos ";

}





if ($accion=="modificar") {
	
		$estveh=$_POST["comboestatus"];
		$cdgvehiculo=$_POST["cdgveh"];
		
     $query_update=" UPDATE vehiculos SET cdgcli='$cdgcli',dsccli='$dsccli',numpla='$numplaca',marveh='$marca',numvin='$chasis',tipmot='$tipmot',tamlla='$llanta',tipace='$tipace',canace='$cantace',filair='$filaire',filace='$filace',filcom='$filcom',estveh='$estveh',cdgusu='$nomusu',fecmod='$fecha',kiloactu='$kiloactual',renace='$rendimiento',proxcam='$proxcambio2' WHERE cdgveh='$cdgvehiculo'";

		$mysqli->query($query_update)	; 
		//$cdgvehiculo= $mysqli-> insert_id ;

			
	
			


	/*****************************************/

	
	    $mensaje="El Precio ha sido Actualizado exitosamente"; 
	$cabecera1="Inicio >> Afiliados &gt;&gt; Precios Modificados ";
	$cabecera2="Modulo  Precios Masivos ";
	
	
} // fin masivo

if ($accion=="baja") {
	

}



		

?>

<html>
	<head>
		<title>Principal</title>

        <link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
			<script type="text/javascript" src="../funciones/validar.js"></script>
		<script language="javascript">
		
		function aceptar() {
			location.href="index.php";
		}
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		
		</script>
	</head>
		<body  onLoad="nobackbutton();">
		<div id="">
			<div background="../Fondo/fondo.jpg" id="zonaContenido">
			  <div align="center">
				  
				  <div id="tituloForm" class="header"><?php echo $mensaje; ?> </div>
				 <p>&nbsp;</p>
		          <div id="frmBusqueda" class="contenidoCliente">
<?php
  if ($accion=="alta") { 
  
  
$consulta = "SELECT * FROM vehiculos WHERE cdgveh='$cdgvehiculo'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
  

               
  ?>                  
                    
        <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                    <tr>
                    <td>&nbsp;</td>
                    <td align="center" colspan="5">&nbsp;</td>
                    </tr>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <div align="center" class="fuente10">
						      <div align="center">
						        
					          			  
                      <td>Placa</td>
                      <td width="19%">Marca</td>
                      <td width="19%">Cant Aceite</td></div></div>
                      <td width="19%">&nbsp;</td>
                    </tr>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td><?php echo $row["numpla"] ?></td>
                      <td><?php echo $row["marveh"] ?></td>
                      <td><?php echo $row["canace"] ?></td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td align="center" colspan="5">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td align="center" colspan="5"><img src="../img/Undo_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Salir" onClick="aceptar()" onMouseOver="style.cursor=cursor">						      <div id="botonBusqueda"></div></td>
                    </tr>
                    <tr>
                      <td width="1%">&nbsp;</td>
                      <td width="16%">&nbsp;</td>
                      <td width="16%">&nbsp;</td>
                      <td colspan="3">&nbsp;</td>
                    </tr>
                  </table>            
                    
                    
<?php
  } 
  if ($accion=="modificar") { 
 $consulta = "SELECT * FROM vehiculos WHERE cdgveh='$cdgvehiculo'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
  
                 
  ?>              
                   
           <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                    <tr>
                    <td>&nbsp;</td>
                    <td align="center" colspan="5">&nbsp;</td>
                    </tr>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <div align="center" class="fuente10">
						      <div align="center">
						        
					          			  
                      <td>Placa</td>
                      <td width="19%">Marca</td>
                      <td width="19%">Cant Aceite</td></div></div>
                      <td width="19%">&nbsp;</td>
                    </tr>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td><?php echo $row["numpla"] ?></td>
                      <td><?php echo $row["marveh"] ?></td>
                      <td><?php echo $row["canace"] ?></td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td align="center" colspan="5">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td align="center" colspan="5"><img src="../img/Undo_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Salir" onClick="aceptar()" onMouseOver="style.cursor=cursor">						      <div id="botonBusqueda"></div></td>
                    </tr>
                    <tr>
                      <td width="1%">&nbsp;</td>
                      <td width="16%">&nbsp;</td>
                      <td width="16%">&nbsp;</td>
                      <td colspan="3">&nbsp;</td>
                    </tr>
                  </table>                 
                    
 <?php
  } 
                
  ?>                   
                    
                    
                    
                    
			    </div>
			  </div>
		  </div>
		</div>
	</body>
</html>


